/*external css/external styling
	inline - 100%
	internal - 10%
	external - 50%

	specifity
		selector
			-id
			-class
			-combinator

	relative lengths
		-are lengths that change relative to something: ;
			-% unit for percentage
			-em relative to the current font size
			-rem relative to the current font siza on the html element
			-vw relative to the width of the viewport divided 100
			-vh relative to the heigth of the viewport divided 100
	absolute  lengths
		-are lengths that do not change
			-px init of pixels
			-in unit of inches
			-pt unit of points
*/
/*Universal selector - allows us to select all of our elements*/

* {
	/*
		all elements will now have a font style of Courier New and the default will be about 20px
		monospace used to view your documents does now have the declared font, we will fallback to similar.
		
		font-family: change the font style of text;
		font-size: change the siza of the text;

	*/
	font-family: "Courier New", monospace;
	font-size: 20px;
	/*CSS Reset*/
	margin: 0;
	padding: 0;
}

/*selectors - use to select elements by their tag name*/

body {
	background-color: skyblue;
}

html {
	scroll-behavior: smooth;
}

nav {
	background-color: white;
}

/*type selector allows to selct all elements of the same type/tag*/

h1	{
	color: black !important;
	text-align: center;
	font-size: 2rem;

	/*rem is a measurement which means num*/
}

section {
	height: 100vh;
	/*vh means viewport height meaning this measurement takes the percentage of the overall height of the screen you are viewing*/
text-align: center;
}

h2 {
	font-size: 1.5rem;
}

/*id selector it is given more priority than other selector*/
#zuitt-motto {
	letter-spacing: 5px;
}

.offering-item {
	text-transform: uppercase;
}

/*attribute selector - allows s to select particlar elements with the same attribute

tagname[attribute]
	border-width: allows us to determine the thickness of an element's border;
	border-style: allows to determine the style of the border;
	border-color: allws us to determine the color of an element's border;


*/
input[required] {
	border-style: solid;
	border-width: 2px;
	border-color: navy;
	width: 90%;
	/*we define the width of our input to be at least 90% of the width ofits parent element*/
}

/*Combinators*/

/*adjacent sibling selector - it allows to select a particular element that immediately follow a sibling element

selector + selector
	height and width properties will resize our element
	border-radius round out the corner of an element
*/

#zuitt-motto + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector - allows us to select element that are the descendants of the first selector

ancestor descendant
	color property and other similar properties can also accept hex values. Hexadecimal
*/

#bootcamp-learning-list li{
	color: #075966;
}

/*general sibling selector - allows us to select siblings that are after our previous sibling (first selector)
sibling selected ~ selected sibling

*/

/*h2 ~ a {
	text-decoration: none;
}*/

a{
	text-decoration: none;
}

form {
	text-align: center;
	background-color: white;
	border: 2px solid black;
	height: 185px;
	width: 25vw;
/*position property changes the position of an element based on a certain criteria
position: relative - allow to move the position property to add a certain measurement to the left of the element.
the value % is based on the measurement of the parent element.
the parent element being the section tag which is a black element and occupies the full width of the page.

in this the value of the left property is 37% from 100% of its parent element*/
	position: relative;
	left: 37.25%;
}

/*child selector allows to select a particular child of a parent element.

parent > child
*/

section > form > label {
	color: rgb(0, 0, 128);
}

button {
	color: white;
	background-color: #cf0053;
	border: 0;
	border-radius: 15px;
	padding: 3px;
	margin-top: 2px;

}
